Bug 1706853 - CVE-2019-9740 python35: python: improper neutralization of CRLF sequences in urllib module [fedora-all]
Summary: CVE-2019-9740 python35: python: improper neutralization of CRLF sequences in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python35
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-9740
TreeView+ depends on / blocked
 
Reported: 2019-05-06 11:57 UTC by Riccardo Schirone
Modified: 2019-11-11 01:05 UTC (History)
4 users (show)

Fixed In Version: python35-3.5.8-2.fc30 python35-3.5.8-2.fc29 python35-3.5.8-2.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 22:38:38 UTC
Type: ---


Attachments (Terms of Use)

Description Riccardo Schirone 2019-05-06 11:57:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Riccardo Schirone 2019-05-06 11:57:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1688169,1706853

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Petr Viktorin 2019-05-14 13:17:08 UTC
This has been fixed upstream.

Comment 3 Fedora Update System 2019-10-29 18:30:58 UTC
FEDORA-2019-b06ec6159b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b06ec6159b

Comment 4 Fedora Update System 2019-10-29 18:31:09 UTC
FEDORA-2019-d202cda4f8 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 5 Fedora Update System 2019-10-30 01:20:01 UTC
python35-3.5.8-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b06ec6159b

Comment 6 Fedora Update System 2019-10-30 01:34:29 UTC
python35-3.5.8-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-57462fa10d

Comment 7 Fedora Update System 2019-10-30 02:40:39 UTC
python35-3.5.8-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 8 Fedora Update System 2019-10-31 10:17:25 UTC
FEDORA-2019-57462fa10d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-57462fa10d

Comment 9 Fedora Update System 2019-10-31 10:17:40 UTC
FEDORA-2019-b06ec6159b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b06ec6159b

Comment 10 Fedora Update System 2019-10-31 10:17:57 UTC
FEDORA-2019-d202cda4f8 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 11 Fedora Update System 2019-11-02 02:26:11 UTC
python35-3.5.8-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b06ec6159b

Comment 12 Fedora Update System 2019-11-02 04:13:08 UTC
python35-3.5.8-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d202cda4f8

Comment 13 Fedora Update System 2019-11-03 06:00:43 UTC
python35-3.5.8-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-57462fa10d

Comment 14 Fedora Update System 2019-11-09 22:38:38 UTC
python35-3.5.8-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-11-10 01:06:35 UTC
python35-3.5.8-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-11-11 01:05:04 UTC
python35-3.5.8-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.